
#ifndef HORNETS_H
#define HORNETS_H

#include <weapon_utils.h>
#include <weapon_config.h>

extern int HornetPuff;
extern int HornetTrail;

RageHookReturn HornetSpawn( void*& arg1 );

void IgniteTrail( void* arg1 );

#ifdef __linux__
	void StartTrack( void* arg1 );
	void TrackTarget( void* arg1 );

	void TrackTouch( void* arg1, void *other );
	void DieTouch( void* arg1, void *other );

	void StartDart( void* arg1 );
	void DartTouch( void* arg1, void *other );

	void OnSUB_Remove( void* arg1 );
#else
	void _fastcall StartTrack( void* arg1, DUMMY );
	void _fastcall TrackTarget( void* arg1, DUMMY );

	void _fastcall TrackTouch( void* arg1, DUMMY, void *other );
	void _fastcall DieTouch( void* arg1, DUMMY, void *other );

	void _fastcall StartDart( void* arg1, DUMMY );
	void _fastcall DartTouch( void* arg1, DUMMY, void *other );

	void _fastcall OnSUB_Remove( void* arg1, DUMMY );
#endif

#endif // HORNETS_H