
#include <module/module_for_rage.h>
#include <library/library_for_module.h>
#include <function/function_for_module.h>

class Module : public ModuleForRage
{
	private:
		
		char* name;
		char* author;
		char* version;

	public:
		
		char* get_name();
		char* get_author();
		char* get_version();

		void LoadedLibrary(LibraryForModule* library);
		void LoadedFunction(FunctionForModule* function);
		void LoadedVirtualFunction(VirtualFunctionForModule* virtual_function);
		void LoadedFunctionIncomplete(FunctionIncompleteForModule* function_incomplete);

		int AMXX_Attach(PFN_REQ_FNPTR reqFnptrFunc);
		int AMXX_Detach();
		int AMXX_PluginsLoaded();
		void AMXX_PluginsUnloaded();
		void AMXX_PluginsUnloading();

		Module(char* name,char* author, char* version);
};
