
#ifndef WEAPON_CONFIG_H
#define WEAPON_CONFIG_H

#include <module.h>
#include <hornetsgun.h>
#include <hornets.h>
#include <weapon_utils.h>

extern char base_weapon[];
extern char new_weapon[];

#define WEAPON_AK47	28
#define WEAPON_HORNETGUN WEAPON_AK47
#define WEAPON_NOCLIP -1

#define HORNET_MAX_CARRY 8
#define HORNETGUN_WEIGHT 25
#define HIVEHAND_DEFAULT_GIVE 8

#define HORNET_TYPE_RED		0
#define HORNET_TYPE_ORANGE	1
#define HORNET_RED_SPEED	( float )600
#define HORNET_ORANGE_SPEED	( float )800
#define	HORNET_BUZZ_VOLUME	( float )0.8
#define HORNET_DAMAGE		( float )10
#define HORNET_FOV			( float )0.9
#define HORNET_MODEL		"models/hornet.mdl"

extern int m_pfnThink;
extern int m_pfnTouch;
extern int m_pPlayer;
extern int m_iId;
extern int m_flNextPrimaryAttack;;
extern int m_flNextSecondaryAttack;
extern int m_flTimeWeaponIdle;
extern int m_iPrimaryAmmoType;
extern int m_iSecondaryAmmoType;
extern int m_iClip;
extern int m_iDefaultAmmo;
extern int m_flNextAttack;
extern int m_hEnemy;
extern int m_flFieldOfView;
extern int m_vecEnemyLKP;
extern int m_iWeaponVolume;
extern int m_iWeaponFlash;
extern int m_afButtonPressed;
extern int m_pActiveItem;
extern int m_rgAmmo;

#endif // WEAPON_CONFIG_H